abstract class UserBlockState {}

class UserBlockInitialState extends UserBlockState {}

class UserBlockLoadingState extends UserBlockState {}

class UserBlockLoadedState extends UserBlockState {
  final String userId;
  final bool isBlocked;

  UserBlockLoadedState(this.userId, {this.isBlocked = true});
}

class UserBlockErrorState extends UserBlockState {
  final String error;

  UserBlockErrorState(this.error);
}
